## nagios3 3.5.1.dfsg

=== include/Makefile ===
###############################
# Makefile for Include Files
#
# Last Modified: 10-18-2007
###############################

clean:
	rm -f *~

distclean: clean
	rm -f config.h locations.h snprintf.h

devclean: distclean

## nagios3 3.5.1

=== debian/changelog ===
nagios3 (3.5.1-1ubuntu1.3) trusty-security; urgency=medium

  * SECURITY REGRESSION: event log cannot open log file (LP: #1690380)
    - debian/patches/CVE-2016-9566-regression.patch: relax permissions on
      log files in base/logging.c.
    - debian/nagios3-common.postinst: fix permissions on existing log file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Jun 2017 07:33:27 -0400

nagios3 (3.5.1-1ubuntu1.2) trusty; urgency=medium

  * debian/patches/fix_permissions_for_hostgroups_reports.patch: Fix
    permissions for hostgroups reports.  Thanks to John C. Frickson
    <jfrickson@nagios.com>.  Closes LP: #1686768.

 -- Aaron B. Russell <aaron@unadopted.co.uk>  Fri, 12 May 2017 16:02:52 +0100

nagios3 (3.5.1-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: off-by-one errors leading to DoS or info disclosure
    - debian/patches/CVE-2013-7xxx.patch: fix off-by-ones and check length
      in cgi/avail.c, cgi/cmd.c, cgi/config.c, cgi/extinfo.c,
      cgi/histogram.c, cgi/notifications.c, cgi/outages.c, cgi/status.c,
      cgi/statusmap.c, cgi/statuswml.c, cgi/summary.c, cgi/trends.c,
      contrib/daemonchk.c.
    - CVE-2013-7108
    - CVE-2013-7205
  * SECURITY UPDATE: DoS via long message to cmd.cgi
    - debian/patches/CVE-2014-1878.patch: check len in cgi/cmd.c.
    - CVE-2014-1878
  * SECURITY UPDATE: symlink attack on log file
    - debian/patches/CVE-2016-9566.patch: safely handle log file in
      base/logging.c.
    - CVE-2016-9566

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Mar 2017 15:28:59 -0400

nagios3 (3.5.1-1ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Jan 2014 14:58:57 +0000

nagios3 (3.5.1-1) unstable; urgency=medium

  * [bf5522e] Enable cgi module for apache 2.4 (Closes: #725177)
  * [744e794] Stick to 3.x for now
  * [5d1f7c2] Imported Upstream version 3.5.1
              Closes: #642515
  * [43e7d66] Remove obsolete patches
  * [65bee9b] Move to quilt
  * [77d98da] Remove dpatch dependency
  * [63dacfb] Bump standards version
  * [053130c] Take care that /var/run/nagios3 is created at boot time
  * [cfca1db] Remove leading 'a' from description
  * [057dfb9] Remove dpatch from rules file
  * [de834df] Move /var/run/nagios3 creation to initscript (Closes: #689901)
  * [ee6422c] Make 3.0 quilt more vcs friendly
  * [c88bef8] don't let nagios call home. This fixes CVE-2013-4214.
    (Closes: #719056)
  * [828c43f] Bump standards version.
  * [611d0f9] Don't ship folder in /var/run (Closes: #689901)

 -- Alexander Wirt <formorer@debian.org>  Fri, 03 Jan 2014 23:18:34 +0100

nagios3 (3.4.1-5ubuntu3) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:42:17 +0100

nagios3 (3.4.1-5ubuntu2) saucy; urgency=low

  * d/nagios3-cgi.postinst: Enable cgi module for compatibility with
    apache 2.4 (LP: #1231901).

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2013 12:25:10 +0100

nagios3 (3.4.1-5ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Jul 2013 10:36:24 +0100

nagios3 (3.4.1-5) unstable; urgency=low

  * [8b23685] Remove obsolete webapps configuration (Closes: #714707, #714258)
  * [6abb302] Cleanup password handling
  * [e4a9bf7] Fix password handling

 -- Alexander Wirt <formorer@debian.org>  Sun, 21 Jul 2013 12:02:14 +0200

nagios3 (3.4.1-4ubuntu2) saucy; urgency=low

  * Remove obsolete code from nagios3-cgi.config that tried to use obsolete
    debconf templates removed in 3.4.1-4 (closes: #714258).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 00:02:26 +0100

nagios3 (3.4.1-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1199826).  Remaining changes:
    - debian/tests: autopkgtests

 -- Yolanda Robla <yolanda.robla@canonical.com>  Mon, 15 Jul 2013 12:30:12 +0100

nagios3 (3.4.1-4) unstable; urgency=high

  * [cd50049] Add missing check command in initscript (Closes: #680615)
  * [77c9d0e] Fix typo in initscript
  * [a2c78a1] Stop status.cgi from listing unauthorized hosts and services in servicegroup view (CVE-2013-2214)
    Thanks to Jonas Meurer for the report and the patch (Closes: #714171)
  * [51fb59b] Backport upstream r1953 to fix downtime retention across restarts.
    Thanks to Didier 'OdyX' Raboud for the patch (Closes: #710356)
  * [c14f6cf] Deprecate Nagios1 compatible Nagios configuration
  * [bfc4c8d] Don't use files from docs/examples (Closes: #709957)
  * [abe9bc9] Update web specific packaging for apache 2.4

 -- Alexander Wirt <formorer@debian.org>  Thu, 27 Jun 2013 00:40:30 +0200

nagios3 (3.4.1-3ubuntu1) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 11:10:34 +0200

nagios3 (3.4.1-3) unstable; urgency=low

  * Fix several overflows in getcgi.cgi and history.cgi
    This is fix for CVE 2012-6096 (Closes: #697930)

 -- Alexander Wirt <formorer@debian.org>  Sun, 27 Jan 2013 19:24:49 +0100

nagios3 (3.4.1-2) unstable; urgency=low

  * [265c38d] Don't call the updatecheck on debian
  * [4550d49] Use debians jquery instead of the shipped one
  * [9976373] Remove stupid date() warning in PHP and set
              UTC as default timezone

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jun 2012 10:44:31 +0200

nagios3 (3.4.1-1) unstable; urgency=low

  * [28e077b] Imported Upstream version 3.3.1
  * [d5314e0] don't call updatepo in clean target
  * [45b3eb9] Don't remove config foo
  * [54e3dff] Don't fix permissions in cgi postinst
  * [d7be9db] Build-depend on libpng-dev (Closes: #662441)
  * [4c47006] Add dutch po translation (Closes: #654855)
  * [2b6573b] Refresh 10_p1_pl_shebang.dpatch
  * [316fd7a] Update 40_fix_spurious_dollar_signs_added_to_command_lines
  * [5ff2780] Refresh 55_strip_logarchivepath.dpatch


=== debian/control ===
Source: nagios3
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: sean finney <seanius@debian.org>,
           Alexander Wirt <formorer@debian.org>,
           Jan Wagner <waja@cyconet.org>
Homepage: http://www.nagios.org/
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-nagios3.git
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios3.git
Standards-Version: 3.9.5
Build-Depends: autotools-dev,
               debhelper (>= 7),
               dpkg-dev (>= 1.13.19),
               hardening-wrapper,
               libgd2-noxpm-dev (>= 2.0.1) | libgd2-xpm-dev (>= 2.0.1),
               libperl-dev,
               libpng-dev,
               po-debconf
XS-Testsuite: autopkgtest

Package: nagios3-common
Architecture: all
Depends: adduser,
         bsd-mailx | mailx,
         coreutils (>= 4.5.3),
         lsb-base (>= 3.0-6),
         nagios-plugins-basic,
         ucf (>= 0.28),
         libjs-jquery,
         ${misc:Depends},
         ${perl:Depends}
Recommends: nagios-plugins
Description: support files for nagios3
 Nagios is a monitoring and management system for hosts, services and
 networks. nagios3-common contains the common files for the nagios3 package.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios is designed to be easy to understand and modify to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios3-cgi
Architecture: any
Replaces: nagios3 (<< 3.2.0), nagios3-common (<< 3.2.0), nagios3-doc (<< 3.2.0)
Breaks: nagios3 (<< 3.2.0), nagios3-common (<< 3.2.0), nagios3-doc (<< 3.2.0)
Depends: adduser,
         apache2-utils,
         coreutils (>= 4.5.3),
         libapache2-mod-php5 | php5 | php5-cgi,
         nagios3-common (= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd, nagios-images (>> 0.1)
Description: cgi files for nagios3
 Nagios is a monitoring and management system for hosts, services and
 networks. nagios3-common contains the common files for the nagios3 package.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios is designed to be easy to understand and modify to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios3
Architecture: any
Depends: nagios3-cgi (= ${binary:Version}),
         nagios3-core (= ${binary:Version}),
         ${misc:Depends}
Suggests: nagios-nrpe-plugin
Description: host/service/network monitoring and management system
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This is a metapackage which depends on the nagios core and the webfrontend
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios3-core
Architecture: any
Depends: nagios3-common (= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: nagios-nrpe-plugin
Replaces: nagios3
Description: host/service/network monitoring and management system core files
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 This package included the nagios core without the webfrontend
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: documentation for nagios3
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nagios3-core (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Conflicts: icinga-dbg (<= 1.0.1-2)
Description: debugging symbols and debug stuff for nagios3
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package contains gdb debugging symbols for the nagios3 binaries and the
 mini_epn tool which can help in debugging Nagios problems.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

=== debian/tests/control ===
Tests: nagios3 daemon
Depends: nagios3
Restrictions: needs-root

## nagios3 3.5.1.dfsg

=== debian/changelog ===
nagios3 (3.5.1.dfsg-2.1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1556265). Remaining changes:
    - Add autopkgtest.
    - d/conf.d/*.cfg: Changed the debian references to Ubuntu.
  * Drop: 
    - debian/control: change Build-Depends to libgd-dev.
      + Merged in Debian 3.5.1.dfsg-2.1.
  * d/control: Move to PHP7.0 dependencies.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 11 Mar 2016 12:38:44 -0800

nagios3 (3.5.1.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on libgd-dev instead libgd2-(no)xpm-dev (Closes: #791840)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 18:55:32 +0100

nagios3 (3.5.1.dfsg-2ubuntu2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 11:36:27 +0000

nagios3 (3.5.1.dfsg-2ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Add autopkgtest.
    - debian/control: change Build-Depends to libgd-dev.
    - d/conf.d/*.cfg: Changed the debian references to Ubuntu.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 08:35:36 -0500

nagios3 (3.5.1.dfsg-2) unstable; urgency=medium

  * [a72437b] Make apache.conf compatible with apache 2.4.10 (Closes: #762096)
  * [99f6a27] Check for existance of files in setperm() (Closes: #683521)

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Oct 2014 11:53:19 +0200

nagios3 (3.5.1.dfsg-1) unstable; urgency=medium

  * [111b7c7] Check if apache init script exists before invoking it.
  * [3d4069b] Imported Upstream version 3.5.1.dfsg
  * [848ee55] Remove minified jquery versions and use packaged jquery
    (Closes: #737441)

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Aug 2014 11:29:32 -0700

nagios3 (3.5.1-1ubuntu4) wily; urgency=medium

  * debian/tests/*: migrate to python3, python2 no longer ships by default.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2015 15:05:18 -0400

nagios3 (3.5.1-1ubuntu3) wily; urgency=medium

  [ Marc Deslauriers ]
  * debian/control: change Build-Depends to libgd-dev.

  [ Jorge Niedbalski ]
  * d/conf.d/*.cfg: Changed the debian references to
    Ubuntu. (LP: #1469168).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 26 Jun 2015 14:35:09 -0300

nagios3 (3.5.1-1ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:15:58 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                debhelper (>= 7),
                dpkg-dev (>= 1.13.19),
                hardening-wrapper,
-               libgd2-noxpm-dev (>= 2.0.1) | libgd2-xpm-dev (>= 2.0.1),
+               libgd-dev,
                libperl-dev,
                libpng-dev,
                po-debconf
@@ -64,7 +64,8 @@
 Depends: adduser,
          apache2-utils,
          coreutils (>= 4.5.3),
-         libapache2-mod-php5 | php5 | php5-cgi,
+         libapache2-mod-php | php | php-cgi,
+         libjs-jquery,
          nagios3-common (= ${source:Version}),
          ucf (>= 0.28),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules makefile for nagios3
# Last modified:
# $Id$

# export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

b := $(shell pwd)/debian

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# -Wall disabled until source is fixed to not print tons of warnings with it. :)
#CFLAGS = -Wall -g
CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

SHELL		= /bin/sh -e
CONFIGURE	= CFLAGS='$(CFLAGS)' ./configure --prefix=/usr \
				--mandir=/usr/share/man \
				--bindir=/usr/sbin \
				--sbindir=/usr/lib/cgi-bin/nagios3 \
				--datadir=/usr/share/nagios3/htdocs \
				--sysconfdir=/etc/nagios3 \
				--infodir=/usr/share/info \
				--libexecdir=/usr/lib/nagios/plugins \
				--localstatedir=/var/lib/nagios3 \
				--enable-event-broker \
				--enable-embedded-perl \
				--with-nagios-user=nagios \
				--with-nagios-group=nagios \
				--with-command-user=nagios \
				--with-command-group=nagios \
				--with-init-dir=/etc/init.d \
				--with-lockfile=/var/run/nagios3/nagios3.pid \
				--with-mail=/usr/bin/mail \
				--with-perlcache \
				--build=$(DEB_BUILD_GNU_TYPE) \
				--host=$(DEB_HOST_GNU_TYPE) \
				--with-htmurl=/nagios3 \
				--with-cgiurl=/cgi-bin/nagios3

clean:
	dh_testdir -a
	dh_testroot -a
	if test -f Makefile; then make distclean; fi
	rm -f install-stamp configure-stamp build-stamp fix-configs-stamp
	rm -rf debian-configs
	-rm contrib/perlxsi.c
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	dh_clean

fix-configs: fix-configs-stamp
fix-configs-stamp: configure-stamp
	mkdir -p debian-configs
	sed -e '/Sample CGI/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	    -e '/Last Modified/,+1 d' \
	    sample-config/cgi.cfg > debian-configs/cgi.cfg
	sed -e '/Sample Main Config/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	    -e '/Last Modified/ d' \
	    sample-config/nagios.cfg > debian-configs/nagios.cfg
	sed -e '/SAMPLE COMMAND DEFINITIONS/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	   -e '/Last Modified/,+1 d' \
	   -e '/^#$$/ d' sample-config/template-object/commands.cfg > debian-configs/commands.cfg

configure: configure-stamp
configure-stamp:
	dh_testdir -a
	@echo "Doing $@"
	if test -f Makefile; then make clean; fi
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	rm -f config.cache
	$(CONFIGURE)
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir -a
	@echo "Doing $@"
	$(MAKE) all
	make -C contrib
	touch build-stamp

install: install-stamp
install-stamp: build-stamp fix-configs-stamp
	@echo "Doing $@"
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a -i
	# zero out INSTALL_OPTS to prevent chowning at build-time
	make install-unstripped DESTDIR=$b/tmp INSTALL_OPTS=""
	# move some arch-indep stuff to the other packages
	chgrp www-data ${b}/nagios3-common/var/cache/nagios3
	chmod g+s ${b}/nagios3-common/var/cache/nagios3
	chown root:www-data ${b}/nagios3-common/var/lib/nagios3/rw
	chmod 700 ${b}/nagios3-common/var/lib/nagios3/rw
	mv debian/tmp/usr/sbin/nagios ${b}/nagios3-core/usr/sbin/nagios3
	mv debian/tmp/usr/sbin/nagiostats ${b}/nagios3-core/usr/sbin/nagios3stats
	dh_link		     -i
	dh_lintian
	dh_installdocs       -i
	dh_installman        -a -pnagios3
	dh_installlogrotate
	dh_installchangelogs -i
	dh_install           -i
	dh_installinit 	     --name nagios3 -- defaults 30 18
	dh_installexamples
	chmod 755 ${b}/nagios3-common/var/lib/nagios3 
	rm ${b}/nagios3-common/etc/nagios3/cgi.cfg
	touch install-stamp

binary: binary-arch binary-indep
binary-arch: install-stamp
	@echo "Doing $@"
	dh_testdir           -a
	dh_testroot          -a
	dh_link		     -a
	dh_installchangelogs -a
	dh_installdocs       -a
	dh_installdebconf    -a 
	dh_install           -a
	chmod 600 ${b}/nagios3-common/etc/nagios3/resource.cfg
	# fix permissions of p1
	chmod 755 ${b}/nagios3-core/usr/lib/nagios3/p1.pl
	mkdir -p ${b}/nagios3-dbg/usr/bin/
	mv contrib/mini_epn ${b}/nagios3-dbg/usr/bin/mini_epn_nagios3
	dh_strip             -a  --dbg-package=nagios3-dbg
	dh_compress          -a -X.php
	dh_fixperms          -a -X/var/cache/nagios3
	dh_makeshlibs        -a -V
	dh_installdeb        -a
	dh_perl		     -a
	dh_shlibdeps         -a
	dh_gencontrol        -a
	dh_md5sums           -a
	dh_builddeb          -a

binary-indep: install-stamp
	dh_link		     -i
	dh_compress          -i
	dh_fixperms          -i -Xnagios3/resource.cfg
	dh_installdebconf    -i
	dh_perl		     -i
	dh_installdeb        -i
	dh_gencontrol        -i
	dh_md5sums           -i
	dh_builddeb          -i

.PHONY: binary-indep binary-arch build configure binary install

=== debian/watch ===
version=3
http://sf.net/nagios/nagios-(3\.[0-9.]+)\.tar\.gz
